#
# spec file for package perl-Crypt-OpenSSL-Random
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Crypt-OpenSSL-Random
Version:        0.11
Release:        lp151.2.2
%define cpan_name Crypt-OpenSSL-Random
Summary:        Routines for accessing the OpenSSL pseudo-random number generator
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-OpenSSL-Random/
Source:         http://www.cpan.org/authors/id/R/RU/RURBAN/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
#MANUAL
BuildRequires:  openssl-devel

%description
Crypt::OpenSSL::Random provides the ability to seed and query the OpenSSL
library's pseudo-random number generator.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Wed Aug 23 2017 vcizek@suse.com
- update to 0.11
  - add libressl support, unsupported random_egd() with libressl
  - fixes testsuite failure with OpenSSL 1.1 (bsc#1055236)
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.10
  - fix LIBS argument, fatal on Windows. thanks to kmx
  0.09  2015-02-04 rurban
  - add missing hints/MSWin32.pl (kmx, RT #56455)
  - add a couple of distro tests
  - fix gcov target
  0.08  2015-02-03 rurban
  - remove Devel::CheckLib which does not work for 2 required libs
  - replace DynaLoader by XSLoader
  0.07  2015-02-03 rurban
  - Bump version to publish an official release
  0.06  rurban
  - Typo in doc (dsteinbrunner)
  0.05  2013-04-02 14:31:30 rurban
  - Add inc/Devel/CheckLib, improve POD, add README and some helper targets
  - Better diagnostics when the openssl libraries are not found
  - Support INCDIR= and LIBDIR= arguments to Makefile.PL
  - Add MSWin32 hints to find the openssl libraries
  - Autocreate README
  - Fix some -Wpointer-sign warnings
  - Remove wrong Crypt::OpenSSL::RSA package names in docs and errmsg
* Wed Jun  6 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  SPDX format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- recreated by cpanspec 1.78.02
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jan 20 2009 varkoly@suse.de
- Initial version of perl-Crypt-OpenSSL-Random
